/*
 * Slide puzzle game timer logic
 * Copyright © 2022-2023 Nick Bowler
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#include <config.h>
#include <stdint.h>
#include <gethrxtime.h>

#include "game.h"

void game_begin(struct board *board)
{
	board->time_start = gethrxtime();
}

int_fast32_t game_elapsed(struct board *board)
{
	return (gethrxtime() - board->time_start) / 1000000;
}
